import { CommonModule } from '@angular/common';
import { Component, ViewEncapsulation, Input, NgModule } from '@angular/core';
import { coerceBooleanProperty } from '@angular/cdk/coercion';

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtActionBarComponent = class NtActionBarComponent {
};
NtActionBarComponent = __decorate([
    Component({
        selector: 'nt-action-bar',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-action-bar'
        }
    })
], NtActionBarComponent);

var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtActionIconComponent = class NtActionIconComponent {
};
NtActionIconComponent = __decorate$1([
    Component({
        selector: 'nt-action-icon',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-action-icon'
        }
    })
], NtActionIconComponent);

var __decorate$2 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtActionButtonComponent = class NtActionButtonComponent {
    constructor() {
        this._circle = false;
    }
    get circle() { return this._circle; }
    set circle(value) {
        this._circle = coerceBooleanProperty(value);
    }
};
__decorate$2([
    Input()
], NtActionButtonComponent.prototype, "circle", null);
NtActionButtonComponent = __decorate$2([
    Component({
        selector: 'nt-action-button',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-action-button',
            '[class.circle]': 'circle'
        }
    })
], NtActionButtonComponent);

var __decorate$3 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtActionItemComponent = class NtActionItemComponent {
};
NtActionItemComponent = __decorate$3([
    Component({
        selector: 'nt-action-item',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-action-item'
        }
    })
], NtActionItemComponent);

var __decorate$4 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const EXPORT_DECLARATIONS = [
    NtActionBarComponent,
    NtActionItemComponent,
    NtActionButtonComponent,
    NtActionIconComponent
];
let NtActionBarModule = class NtActionBarModule {
};
NtActionBarModule = __decorate$4([
    NgModule({
        imports: [CommonModule],
        exports: EXPORT_DECLARATIONS,
        declarations: EXPORT_DECLARATIONS,
    })
], NtActionBarModule);

export { NtActionBarComponent, NtActionBarModule, NtActionButtonComponent, NtActionIconComponent, NtActionItemComponent };
//# sourceMappingURL=action-bar.js.map
