import { CommonModule } from '@angular/common';
import { Component, ViewEncapsulation, Input, NgModule } from '@angular/core';
import { coerceBooleanProperty } from '@angular/cdk/coercion';

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelBodyComponent = (function () {
    function NtPanelBodyComponent() {
    }
    NtPanelBodyComponent = __decorate([
        Component({
            selector: 'nt-panel-body',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel-body'
            }
        })
    ], NtPanelBodyComponent);
    return NtPanelBodyComponent;
}());

var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelFooterComponent = (function () {
    function NtPanelFooterComponent() {
    }
    Object.defineProperty(NtPanelFooterComponent.prototype, "small", {
        get: function () { return this._small; },
        set: function (value) {
            this._small = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NtPanelFooterComponent.prototype, "large", {
        get: function () { return this._large; },
        set: function (value) {
            this._large = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    __decorate$1([
        Input()
    ], NtPanelFooterComponent.prototype, "small", null);
    __decorate$1([
        Input()
    ], NtPanelFooterComponent.prototype, "large", null);
    NtPanelFooterComponent = __decorate$1([
        Component({
            selector: 'nt-panel-footer',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel-footer',
                '[class.small]': 'small',
                '[class.large]': 'large'
            }
        })
    ], NtPanelFooterComponent);
    return NtPanelFooterComponent;
}());

var __decorate$2 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelHeaderComponent = (function () {
    function NtPanelHeaderComponent() {
    }
    Object.defineProperty(NtPanelHeaderComponent.prototype, "small", {
        get: function () { return this._small; },
        set: function (value) {
            this._small = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NtPanelHeaderComponent.prototype, "large", {
        get: function () { return this._large; },
        set: function (value) {
            this._large = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    __decorate$2([
        Input()
    ], NtPanelHeaderComponent.prototype, "small", null);
    __decorate$2([
        Input()
    ], NtPanelHeaderComponent.prototype, "large", null);
    NtPanelHeaderComponent = __decorate$2([
        Component({
            selector: 'nt-panel-header',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel-header',
                '[class.small]': 'small',
                '[class.large]': 'large'
            }
        })
    ], NtPanelHeaderComponent);
    return NtPanelHeaderComponent;
}());

var __decorate$3 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelWrapperComponent = (function () {
    function NtPanelWrapperComponent() {
    }
    NtPanelWrapperComponent = __decorate$3([
        Component({
            selector: 'nt-panel-wrapper',
            template: "<ng-content select=\"nt-panel\"></ng-content>",
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel-wrapper'
            }
        })
    ], NtPanelWrapperComponent);
    return NtPanelWrapperComponent;
}());

var __decorate$4 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelComponent = (function () {
    function NtPanelComponent() {
        this._shrink = false;
    }
    Object.defineProperty(NtPanelComponent.prototype, "shrink", {
        get: function () { return this._shrink; },
        set: function (value) {
            this._shrink = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    __decorate$4([
        Input()
    ], NtPanelComponent.prototype, "shrink", null);
    NtPanelComponent = __decorate$4([
        Component({
            selector: 'nt-panel',
            template: "\n    <ng-content select=\"nt-panel-header\"></ng-content>\n    <ng-content select=\"nt-panel-body\"></ng-content>\n    <ng-content select=\"nt-panel-footer\"></ng-content>\n  ",
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel',
                '[class.nt-panel-shrink]': 'shrink'
            }
        })
    ], NtPanelComponent);
    return NtPanelComponent;
}());

var __decorate$5 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var EXPORT_DECLARATIONS = [
    NtPanelBodyComponent,
    NtPanelFooterComponent,
    NtPanelHeaderComponent,
    NtPanelWrapperComponent,
    NtPanelComponent
];
var NtPanelModule = (function () {
    function NtPanelModule() {
    }
    NtPanelModule = __decorate$5([
        NgModule({
            imports: [CommonModule],
            exports: EXPORT_DECLARATIONS,
            declarations: EXPORT_DECLARATIONS,
        })
    ], NtPanelModule);
    return NtPanelModule;
}());

export { NtPanelBodyComponent, NtPanelComponent, NtPanelFooterComponent, NtPanelHeaderComponent, NtPanelModule, NtPanelWrapperComponent };
//# sourceMappingURL=containers.js.map
